import { useMemo } from 'react';
import createBaseTranslator, { getMessagesOrError } from 'use-intl/dist/src/core/createBaseTranslator';
import useConfig from './useConfig';
export default function useTranslations(namespace) {
    const config = useConfig();
    return useMemo(() => {
        const messagesOrError = getMessagesOrError({
            messages: config.messages,
            namespace,
            onError: config.onError
        });
        return createBaseTranslator({
            ...config,
            namespace,
            messagesOrError
        });
    }, [config, namespace]);
}
//# sourceMappingURL=useTranslations.js.map